Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class LicenseCapacity

    java.lang.Object
      com.amazonaws.services.ec2.model.LicenseCapacity

    public class LicenseCapacity

extends Object

Represents the capacity that a license is able to support.

Constructor Summary
`LicenseCapacity()`

Method Summary
`Integer` | `getCapacity()` The number of licenses available.
`Date` | `getEarliestAllowedDeactivationTime()` The earliest allowed time at which a license can be deactivated.
`Integer` | `getInstanceCapacity()` The number of Amazon EC2 instances that can be supported with the license's capacity.
`String` | `getState()` The state of this license capacity, indicating whether the license is actively being used or not.
`void` | `setCapacity(Integer capacity)` The number of licenses available.
`void` | `setEarliestAllowedDeactivationTime(Date earliestAllowedDeactivationTime)` The earliest allowed time at which a license can be deactivated.
`void` | `setInstanceCapacity(Integer instanceCapacity)` The number of Amazon EC2 instances that can be supported with the license's capacity.
`void` | `setState(String state)` The state of this license capacity, indicating whether the license is actively being used or not.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`LicenseCapacity` | `withCapacity(Integer capacity)` The number of licenses available.
`LicenseCapacity` | `withEarliestAllowedDeactivationTime(Date earliestAllowedDeactivationTime)` The earliest allowed time at which a license can be deactivated.
`LicenseCapacity` | `withInstanceCapacity(Integer instanceCapacity)` The number of Amazon EC2 instances that can be supported with the license's capacity.
`LicenseCapacity` | `withState(String state)` The state of this license capacity, indicating whether the license is actively being used or not.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LicenseCapacity

    public LicenseCapacity()

Method Detail

### getCapacity

    public Integer getCapacity()

  The number of licenses available.

  Returns:
    The number of licenses available.

### setCapacity

    public void setCapacity(Integer capacity)

  The number of licenses available.

  Parameters:
    `capacity` - The number of licenses available.

### withCapacity

    public LicenseCapacity withCapacity(Integer capacity)

  The number of licenses available.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `capacity` - The number of licenses available.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getInstanceCapacity

    public Integer getInstanceCapacity()

  The number of Amazon EC2 instances that can be supported with the license's capacity.

  Returns:
    The number of Amazon EC2 instances that can be supported with the license's capacity.

### setInstanceCapacity

    public void setInstanceCapacity(Integer instanceCapacity)

  The number of Amazon EC2 instances that can be supported with the license's capacity.

  Parameters:
    `instanceCapacity` - The number of Amazon EC2 instances that can be supported with the license's capacity.

### withInstanceCapacity

    public LicenseCapacity withInstanceCapacity(Integer instanceCapacity)

  The number of Amazon EC2 instances that can be supported with the license's capacity.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `instanceCapacity` - The number of Amazon EC2 instances that can be supported with the license's capacity.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getState

    public String getState()

  The state of this license capacity, indicating whether the license is actively being used or not.

  Returns:
    The state of this license capacity, indicating whether the license is actively being used or not.

### setState

    public void setState(String state)

  The state of this license capacity, indicating whether the license is actively being used or not.

  Parameters:
    `state` - The state of this license capacity, indicating whether the license is actively being used or not.

### withState

    public LicenseCapacity withState(String state)

  The state of this license capacity, indicating whether the license is actively being used or not.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `state` - The state of this license capacity, indicating whether the license is actively being used or not.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getEarliestAllowedDeactivationTime

    public Date getEarliestAllowedDeactivationTime()

  The earliest allowed time at which a license can be deactivated. Some licenses have time restrictions on when they can be activated and reactivated.

  Returns:
    The earliest allowed time at which a license can be deactivated. Some licenses have time restrictions on when they can be activated and reactivated.

### setEarliestAllowedDeactivationTime

    public void setEarliestAllowedDeactivationTime(Date earliestAllowedDeactivationTime)

  The earliest allowed time at which a license can be deactivated. Some licenses have time restrictions on when they can be activated and reactivated.

  Parameters:
    `earliestAllowedDeactivationTime` - The earliest allowed time at which a license can be deactivated. Some licenses have time restrictions on when they can be activated and reactivated.

### withEarliestAllowedDeactivationTime

    public LicenseCapacity withEarliestAllowedDeactivationTime(Date earliestAllowedDeactivationTime)

  The earliest allowed time at which a license can be deactivated. Some licenses have time restrictions on when they can be activated and reactivated.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `earliestAllowedDeactivationTime` - The earliest allowed time at which a license can be deactivated. Some licenses have time restrictions on when they can be activated and reactivated.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.